SHUF(1)

NOM
shuf - Générer des permutations aléatoires

SYNOPSIS
shuf [OPTION] ... [FICHIER] ...
shuf -e [OPTION]... [PARAM]...
shuf -i BAS-HAUT [OPTION]...

DESCRIPTION

Afficher sur la sortie standard une permutation aléatoire des lignes d'entrée.

Les paramètres obligatoires pour les options de forme longue le sont aussi pour les options de forme courte.

-e, --echo
    interpréter chaque PARAM comme une ligne d'entrée

-i, --input-range=DÉBUT-FIN
    interpréter chaque nombre entre DÉBUT et FIN comme une ligne d'entrée

-n, --head-count=LIGNES
    afficher au plus LIGNES lignes

-o, --output=FICHIER
    écrire le résultat dans le FICHIER à la place de la sortie standard

--random-source=FICHIER
    obtenir les octets aléatoires depuis FICHIER

-r, --repeat
    les lignes affichées peuvent être répétées

-z, --zero-terminated
    le délimiteur de lignes est l’octet NULL, pas le changement de ligne

--help
    Afficher l'aide-mémoire et quitter

--version
    Afficher le nom et la version du logiciel et quitter

L'entrée standard est lue quand FICHIER est omis ou quand FICHIER vaut « - ».

AUTEUR
Écrit par Paul Eggert.

SIGNALER DES BOGUES
Aide en ligne de GNU coreutils : <http://www.gnu.org/software/coreutils/>
Signaler toute erreur de traduction de shuf à <http://translationproject.org/team/>

COPYRIGHT
Copyright © 2014 Free Software Foundation, Inc. Licence GPLv3+ : GNU GPL version 3 ou supérieures <http://gnu.org/licenses/gpl.html>
Ce programme est un logiciel libre. Vous pouvez le modifier et le redistribuer. Il n'y a AUCUNE GARANTIE dans la mesure autorisée par la loi.

VOIR AUSSI
Documentation complète : <http://www.gnu.org/software/coreutils/shuf>
aussi disponible localement à l’aide de la commande : info '(coreutils) shuf invocation'

TRADUCTION
Cette page de manuel a été traduite par Michel Robitaille <robitail AT iro DOT umontreal DOT ca> et mise à jour pour Debian par Thomas Huriaux <thomas.huriaux@gmail.com> et les membres de la liste <debian-l10n-french AT lists DOT debian DOT org>. Veuillez signaler toute erreur de traduction par un rapport de bogue sur le paquet manpages-fr-extra.